# flake8: noqa
SUPPORTED_SIMULATORS = [
    {
        "version": "ArrivalSim-linux-0.7.0-cmu4",
        "levels": {
            "OneLane2": "../../../ArrivalSim/Content/OneLane/Maps/OneLane2.umap",
            "OneLane": "../../../ArrivalSim/Content/OneLane/Maps/OneLane.umap",
            "VegasNorthRoad": "../../../ArrivalSim/Content/Ribbon/VegasNorthRoad/VegasNorthRoad.umap",
            "AngleseyNational": "../../../ArrivalSim/Content/Ribbon/anglesey_national/anglesey_national.umap",
            "Thruxton": "../../../ArrivalSim/Content/Ribbon/thruxton/thruxton.umap",
            "Banbury": "../../../ArrivalSim/Content/SelfDriveProject/Maps/Banbury_map.umap",
            "UPP_UDRV": "../../../ArrivalSim/Content/GeneratedTracks/Maps/Arr_UPP_UDRV.umap",
            "RaceTrack": "../../../ArrivalSim/Content/RaceTrack_Kit_Pack_1/Maps/RaceTrack.umap",
            "Ternois": "../../../ArrivalSim/Content/RaceTrack_Kit_Pack_1/Maps/TernoisTrack.umap",
            "WinterTrack": "../../../ArrivalSim/Content/racing_track/Maps/WinterTrack.umap",
        },
    },
    {
        "version": "ArrivalSim-linux-0.7.0.182276",
        "levels": {
            "AngleseyNational": "../../../ArrivalSim/Content/Ribbon/anglesey_national/anglesey_national.umap",
            "Thruxton": "../../../ArrivalSim/Content/Ribbon/thruxton/thruxton.umap",
        },
    },
    {
        "version": "ArrivalSim-linux-0.7.1.188691",
        "levels": {
            "VegasNorthRoad": "../../../ArrivalSim/Content/Ribbon/VegasNorthRoad/VegasNorthRoad.umap",
            "AngleseyNational": "../../../ArrivalSim/Content/Ribbon/anglesey_national/anglesey_national.umap",
            "Thruxton": "../../../ArrivalSim/Content/Ribbon/thruxton/thruxton.umap",
            "Banbury": "../../../ArrivalSim/Content/SelfDriveProject/Maps/Banbury_map.umap",
            "UPP_UDRV": "../../../ArrivalSim/Content/GeneratedTracks/Maps/Arr_UPP_UDRV.umap",
            "RaceTrack": "../../../ArrivalSim/Content/RaceTrack_Kit_Pack_1/Maps/RaceTrack.umap",
            "Ternois": "../../../ArrivalSim/Content/RaceTrack_Kit_Pack_1/Maps/TernoisTrack.umap",
            "WinterTrack": "../../../ArrivalSim/Content/racing_track/Maps/WinterTrack.umap",
        },
    },
]

SUPPORTED_RACETRACKS = [
    {
        "level": "VegasNorthRoad",
        "trackmap": "lvms/LVM_ORN3.json_full",
        "random_pos": [
            [-3.0, 145.0, 0.40, -2.906],
            [18.9, 265.9, 0.40, 2.769],
            [82.7, 359.5, 0.40, -1.334],
            [172.2, 463.2, 0.40, 1.401],
            [129.2, 533.6, 0.40, -1.636],
            [293.3, 468.5, 0.40, -0.701],
            [222.4, 274.0, 0.40, 0.955],
            [156.3, 135.9, 0.40, 0.655],
            [177.8, 18.5, 0.40, 0.221],
            [184.0, -76.9, 0.40, 0.061],
        ],
        "segments": [
            [
                65.0999853515625,
                4.064422607421875,
                0.3483992385864258,
                2.617990732192993,
            ],
            [20.63783203125, 260.83365234375, 0.348723030090332, 2.8221020698547363],
            [207.38783203125, 384.3859375, 0.34874122619628906, -2.568369150161743],
            [148.465458984375, 534.7680859375, 0.3487141799926758, -1.5920990705490112],
            [301.09884765625, 457.8666015625, 0.3486960983276367, -0.42307350039482117],
            [
                163.172119140625,
                207.32873046875,
                0.3490536117553711,
                0.04164065420627594,
            ],
            [172.9324609375, 82.402666015625, 0.34944408416748046, -0.7984858751296997],
            [180.288125, -94.9838671875, 0.34898460388183594, 0.7942297458648682],
            [132.2543359375, -96.351025390625, 0.34904941558837893, 2.4356048107147217],
            [
                70.989560546875,
                -3.5737335205078127,
                0.3489741516113281,
                2.5850720405578613,
            ],
        ],
    },
    {
        "level": "AngleseyNational",
        "trackmap": "anglesey/AngleseyFromGoogle.json",
        "random_pos": [
            [113.4, 206.9, 8.81, -2.728],
            [230.8, 277.1, 7.46, -1.281],
            [338.4, 176.1, 13.68, -0.736],
            [396.1, 176.5, 14.70, -2.689],
            [447.1, 113.0, 15.49, 0.205],
            [362.5, 11.2, 18.03, 2.076],
            [259.5, 142.2, 13.43, 2.385],
            [159.3, 122.5, 11.86, 0.377],
            [74.5, -78.5, 14.36, 0.420],
            [13.7, -211.5, 14.18, 0.575],
        ],
        "segments": [
            [55.2217578125, 48.1923828125, 11.56930908203125, -2.7915232181549072],
            [184.56142578125, 273.151640625, 7.199818725585938, -1.6834065914154053],
            [350.7177734375, 163.73150390625, 14.41429931640625, -0.6905960440635681],
            [451.7735546875, 154.96748046875, 14.658287353515625, 0.17741167545318604],
            [345.3669921875, 19.05449462890625, 18.22318115234375, 2.4601712226867676],
            [195.4337109375, 170.871015625, 10.82997314453125, 1.0673238039016724],
            [
                98.59357421875,
                -21.98202392578125,
                14.22446044921875,
                0.46942809224128723,
            ],
            [
                21.8366357421875,
                -190.73689453125,
                14.118402099609375,
                0.3945944607257843,
            ],
            [
                -10.676197509765625,
                -229.3309765625,
                14.177384033203126,
                1.6773160696029663,
            ],
            [
                48.87064453125,
                31.22753662109375,
                11.774759521484375,
                -2.7770750522613525,
            ],
        ],
    },
    {
        "level": "Thruxton",
        "trackmap": "thruxton/ThruxtonFromGoogle_2.json",
        "random_pos": [
            [55.7, -158.8, 61.3, 0.532],
            [-172.8, -424.2, 62.1, 0.290],
            [-255.3, -580.7, 62.9, 1.583],
            [-386.5, -688.3, 61.1, 0.927],
            [-823.6, -570.7, 59.2, 1.647],
            [-1220.3, -590.6, 58.6, 2.458],
            [-1214.1, -168.8, 54.1, -2.660],
            [-991.7, 29.9, 51.1, -1.546],
            [-487.4, 98.2, 53.3, -1.963],
            [-148.7, 182.4, 60.0, -2.026],
        ],
        "segments": [
            [25.5131787109375, 36.000478515625, 60.2997265625, -0.5235239267349243],
            [-22.3176708984375, -241.59330078125, 61.4127197265625, 1.019049048423767],
            [-183.4537890625, -482.136484375, 62.4380224609375, 0.09414980560541153],
            [-326.926875, -599.6837890625, 62.1458251953125, 0.5918081998825073],
            [-975.848828125, -607.9380078125, 59.5386474609375, 1.173728585243225],
            [-1140.981875, -49.1321044921875, 51.9780126953125, -2.448993444442749],
            [-1279.473515625, -348.3490625, 55.7071484375, -2.934521436691284],
            [-778.507265625, 26.37331298828125, 51.7047119140625, -1.6883078813552856],
            [-58.0519921875, 155.3696484375, 60.783544921875, -0.7723268866539001],
            [31.67705322265625, -194.26623046875, 61.423623046875, 0.8062901496887207],
        ],
    },
]
